Package org.apache.sysds.runtime.compress.estim.sample

# Interface ShlosserJackknifeEstimator

public interface ShlosserJackknifeEstimator

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ShlosserJackknifeEstimator.CriticalValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`SHLOSSER_JACKKNIFE_ALPHA`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static int`
`distinctCount(int numVals, int[] frequencies, int[] freqCounts, int nRows, int sampleSize)`
Peter J.

## Field Details

### SHLOSSER_JACKKNIFE_ALPHA

static final double SHLOSSER_JACKKNIFE_ALPHA

See Also:
  - Constant Field Values

## Method Details

### distinctCount

static int distinctCount(int numVals, int[] frequencies, int[] freqCounts, int nRows, int sampleSize)
Peter J. Haas, Jeffrey F. Naughton, S. Seshadri, and Lynne Stokes. 1995. Sampling-Based Estimation of the Number of Distinct Values of an Attribute. VLDB'95, Section 5.2, recommended estimator by the authors

Parameters:
  `numVals` - The number of unique values in the sample
  `frequencies` - The Frequencies of the different unique values
  `freqCounts` - The inverse histogram of frequencies. counts extracted
  `nRows` - The original number of rows in the entire input
  `sampleSize` - The number of rows in the sample
Returns:
  an estimation of number of distinct values.